      subroutine getuh ( lun , charac_ident)
c
*****************************************************************************
*                                                                           *
*         Author : J.Jansen                Date : 23 September 1986         *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
* This routines gets the universal header of the data-files of a Philips-   *
*  powder-diffraction data-file                                             *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
*      Variable        Type               Purpose                           *
*      dummy         byte(512)       Read header byte by byte               *
*      lun           integer         Logical unit number datafile           *
*      charac_ident  char*(*)        Datafile type expected                 *
*      char_ident    char2           Datafile type expected                 *
*      ident         integer*2       Datafile type expected                 *
*      dummyhelp     byte            Help variable                          *
*                                                                           *
*****************************************************************************
c
      include 'common_uhdi.inc/list'
c
      character*(*) charac_ident
      character*2 char_ident
      integer*2 ident
      byte dummy(512) , dummyhelp
c
      equivalence ( dummy(1) , irev ) , ( ident ,char_ident )
c
c Initialize
      char_ident = charac_ident ( 1:2 )
c
c Read universal header
      read( lun , rec=1 ) (dummy(i) , i=1,512)
c
c Swop itype to get right file identification
      dummyhelp = dummy(3)
      dummy(3) = dummy(4)
      dummy(4) = dummyhelp
c
c Check the file type
      if ( itype .ne. ident) stop 'datafile of wrong type'
c
      return
      end
