      subroutine opendat( lun , dataf , stat )
c
*****************************************************************************
*                                                                           *
*           Author : J.Jansen               Date : 24 September 1986        *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
* Routine to open a powder-diffraction data file of the philips type        *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
*       Variable         Type              Purpose                          *
*       lun             integer     Logical unit number datafile            *
*       dataf           char*(*)    Name of the datafile                    *
*       ios             integer     Error number while opening datafile     *
*       stat            char*(*)    Status for file opening                 *
*       message         char*80     Error message                           *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
*     Calls subroutine : reply_oper9                                        *
*                                                                           *
*****************************************************************************
c
      character*(*)  dataf , stat
      character* 132 message
c
c Opening direct access file
      open( unit=lun , file=dataf , access='direct', status=stat ,
     >      carriagecontrol='none' , nospanblocks ,
     >      recordtype='fixed' , recl=128 , iostat=ios , err=50)
c
      return
c
c An error was detected while opening dataf
50    write( message , '( a , i2 , a , a )' ) ' Error ' , ios ,
     >  ' detected while opening datafile ' , dataf
      write( 6 , * ) message
      call reply_oper9( message )
      stop '  '
c
      end
