      integer*2 function pack_counts( count )
c
****************************************************************************
*                                                                          *
*              Author : J.Jansen             Date : 20 October 1986        *
*    Revision : 1.0       Author : J.Jansen       Date : 14 November 1989  *
*                                                                          *
*--------------------------------------------------------------------------*
*                                                                          *
* Function to pack counts for a Philips data file                          *
*                                                                          *
*--------------------------------------------------------------------------*
*                                                                          *
*  Variable         Type                  Purpose                          *
*  pack_counts   integer*2         Packed counts                           *
*  count         real              count                                   *
*  help          real              help variable                           *
*                                                                          *
****************************************************************************
c
      help = count
      help = sign(10.0 , help) * sqrt(abs(help)) + .5
      if ( help .ge. 64535 ) then
        pack_counts = 64535
      else if( help .lt. 32768 ) then
          if( help .lt. -1000) then
            pack_counts = -1000
          else
            pack_counts = nint( help )
          end if
      else
        pack_counts = nint( help - 65536 )
      end if
c
      return
      end
