module sort_hkli;
{}
(******************************************************************************)
(*                                                                            *)
(*             Author : J.Jansen             Date : 23 November 1988          *)
(*                                                                            *)
(*----------------------------------------------------------------------------*)
(*                                                                            *)
(* Procedure to initiate a sort on 2-theta in the common block geind          *)
(*                                                                            *)
(*----------------------------------------------------------------------------*)
(*                                                                            *)
(*     Variable          Type                 Purpose                         *)
(*     npk_s            integer*2      Number of single peaks                 *)
(*                                                                            *)
(*----------------------------------------------------------------------------*)
(*                                                                            *)
(*    Calls procedure : quicksort_hkli                                        *)
(*                                                                            *)
(******************************************************************************)
{}
  type word = [word]-32768..32767;
{}
  [global]procedure sort_hkli( npk_s : word );
{}
    procedure quicksort_hkli( start , finish : word ); extern;
{}
    begin
      quicksort_hkli( 1 , npk_s )
    end;
end.
