module swap_hkli;
{}
(******************************************************************************)
(*                                                                            *)
(*             Author : J.Jansen             Date : 24 November 1988          *)
(*                                                                            *)
(*----------------------------------------------------------------------------*)
(*                                                                            *)
(* procedure to interchange two elements in the comon block geind             *)
(*                                                                            *)
(*----------------------------------------------------------------------------*)
(*                                                                            *)
(*     Variable          Type                 Purpose                         *)
(*     no1              integer*2      Number of firtst element               *)
(*     no2              integer*2      Number of second element               *)
(*     help_integer     integer        Help parameter                         *)
(*     help_real        real           Help parameter                         *)
(*                                                                            *)
(******************************************************************************)
{}
  type word = [word]-32768..32767;
{}
  [global]procedure swap_hkli( no1 , no2 : word );
{}
    %include 'common_geind_pas.inc/list'
{}
    var
      help_integer  : integer;
      help_real     : real;
{}
    begin
      help_integer := geind.ih_s[ no1 ];
      geind.ih_s[ no1 ] := geind.ih_s[ no2 ];
      geind.ih_s[ no2 ] := help_integer;
      help_integer := geind.ik_s[ no1 ];
      geind.ik_s[ no1 ] := geind.ik_s[ no2 ];
      geind.ik_s[ no2 ] := help_integer;
      help_integer := geind.il_s[ no1 ];
      geind.il_s[ no1 ] := geind.il_s[ no2 ];
      geind.il_s[ no2 ] := help_integer;
      help_real := geind.theta2_s[ no1 ];
      geind.theta2_s[ no1 ] := geind.theta2_s[ no2 ];
      geind.theta2_s[ no2 ] := help_real;
      help_real := geind.counts_s[ no1 ];
      geind.counts_s[ no1 ] := geind.counts_s[ no2 ];
      geind.counts_s[ no2 ] := help_real;
      help_real := geind.ercounts_s[ no1 ];
      geind.ercounts_s[ no1 ] := geind.ercounts_s[ no2 ];
      geind.ercounts_s[ no2 ] := help_real;
    end;
end.
