      real function unpack_ang ( packangle )
c
*************************************************************************
*                                                                       *
*          Author : J.Jansen               Date : 24 September 1986     *
*                                                                       *
*-----------------------------------------------------------------------*
*                                                                       *
*  This function returns the value of the angle decoded from the        *
*  integer packing (packangle) invented by Philips                      *
*                                                                       *
*-----------------------------------------------------------------------*
*                                                                       *
*     Variable          Type           Purpose                          *
*     packangle       integer*2    packed angle                         *
*     unpack_ang      real         unpacked angle                       *
*                                                                       *
*************************************************************************
c
      integer*2 packangle
c
      if (packangle .ge. 0) then
        unpack_ang = packangle * .005
      else
        unpack_ang = packangle * (-.005) - .0025
      endif
c
      return
      end
