      integer*2 function pack_ang( angle )
c
********************************************************************************
*                                                                              *
*            Author : J.Jansen                 Date : 20 October 1986          *
*    Revision : 1.0         Author : J.Jansen        Date : 27 November 1989   *
*                                                                              *
*------------------------------------------------------------------------------*
*                                                                              *
* Function to pack angles for a Philips data file                              *
*                                                                              *
*------------------------------------------------------------------------------*
*                                                                              *
*  Variable         Type                     Purpose                           *
*  pack_ang        integer*2      packed angle                                 *
*  angle           real           angle                                        *
*  helpangle       real           angle                                        *
*                                                                              *
********************************************************************************
c
      if ( angle .gt. 163.8 ) then
        pack_ang = 32767
      else
        helpangle = angle * 200 + .25
        pack_ang = helpangle
        if ( helpangle - float(pack_ang) .ge. .5 ) pack_ang = -pack_ang
     >    - 1
      end if
c
      return
      end
