      subroutine reply_oper9( message )
c
********************************************************************************
*                                                                              *
*                Author : J.Jansen                Date : 4 November 1988       *
*                                                                              *
*------------------------------------------------------------------------------*
*                                                                              *
* Sends a message to any device on withch oper9 is enabled                     *
*                                                                              *
*------------------------------------------------------------------------------*
*                                                                              *
*     Variable           Type                    Purpose                       *
*     message          char*(*)       Message text                             *
*     message_text     char*120       Message text                             *
*     message_buffer   logical*1(128) Message text                             *
*     message_descr    integer(2)     Message identifier                       *
*     i_target         integer        Target code of the message               *
*                                                                              *
********************************************************************************
c
      include '($opcdef)/list'
c
      character*(*) message
      character*120 message_text
      logical*1 message_buffer
      integer*4 message_descr
c
      dimension message_buffer( 128 ) , message_descr( 2 )
c
      equivalence ( message_buffer( 9 ) , message_text )
      equivalence ( i_target , message_buffer( 2 ) )
c
c Get string length
      i = len( message )
c
c Message buffer length
      message_descr( 1 )  = 8 + i
c
c Address of buffer
      message_descr( 2 )  = %loc( message_buffer )
c
c Request message code
      message_buffer( 1 ) = 3
c
c Oper9
      i_target = opc$m_nm_oper9
c
c Copy message
      message_text(1:i) = message
c
c Send message
      call sys$sndopr (message_descr,)
c
      end
