      real function unpack_counts ( intensity )
c
*****************************************************************************
*                                                                           *
*            Author : J.Jansen             Date : 29 September 1986         *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
*  This function unpacks counts for Philips powderdiffraction datafiles     *
*                                                                           *
*---------------------------------------------------------------------------*
*                                                                           *
*      Variable          Type              Purpose                          *
*      intensity        integer*2     Packed count                          *
*      unpack_counts    real          Unpacked count                        *
*      help             real          Help variable                         *
*                                                                           *
*****************************************************************************
c
      real help
      integer*2 intensity
c
      if ( intensity .ge. -1000 ) then
        unpack_counts = ( intensity - .5 ) * ( intensity - .5 ) / 100.
     >      * isign( 1 , intensity )
      else
         help = 65536 + intensity
         unpack_counts = ( help - .5 ) * (help - .5 ) / 100
      end if
      return
      end
